Arch Rohr

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Arch Pipe and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎日本語
Arrow-left.svg Arch CompPipe.png BildeRohr Vorherige:
Nächste: Rohr Verbinder Arch PipeConnector.svg Arrow-right.svg

Arch Pipe.svg Arch Rohr

Menüeintrag
Arch → Rohrwerkzeuge → Rohr
Arbeitsbereich
Arch
Standardtastenkürzel
P I
In der Version eingeführt
0.17
Siehe auch
Arch RohrVerbinder, Arch Ausstattung


Beschreibung

Dieses Werkzeug ermöglicht es, Rohre von Grund auf oder aus ausgewählten Objekten zu erstellen. Die ausgewählten Objekte müssen Teilbasiert sein (Entwurf, Skizze, etc...) und einen und nur einen offenen Draht enthalten.

Anwendung

  1. Wähle optional eine lineare Part Form wie eine Draft Line, a Entwurf Draht oder eine offene Skizze.
  2. Rufe diesen Befehl mit mehreren Methoden auf:
    • Drücken der Arch Pipe.svg Arch Rohr Schaltfläche auf der Werkzeugleiste.
    • Drücken der P dann I Tastaturkürzel.
    • Drücken der Arch → Rohrwerkzeuge → Rohr Eintrag aus dem oberen Menü.

Optionen

  • Rohre haben die gemeinsamen Eigenschaften und Verhaltensweisen aller Arch Komponenten gemeinsam

Eigenschaften

  • DataLänge: Setzt die Länge dieses Rohrs, wenn sie nicht auf einem Draht basiert
  • DataDurchmesser: Der Durchmesser dieses Rohres, wenn es nicht auf einem Profil basiert
  • DataBasis: Der Basisdraht dieses Rohrs, falls vorhanden
  • DataProfil: Das Basisprofil dieses Rohres. Wenn nicht angegeben, ist das Rohr zylindrisch.

Typischer Arbeitsablauf

  • Beginne mit der Platzierung von Sanitär-/Hydraulikgeräten (unten ist eine importierte step datei). Du verwandelst diese Objekte in Arch Ausstattungen, indem du sie auswählst und die Schaltfläche Arch Ausstattung drückst.

Arch pipe example 01.jpg

  • Arch Equipments haben jetzt eine neue FangPunkte Eigenschaft, bei der es sich um eine Liste von 3D Vektoren handelt. Dies erlaubt dir benutzerdefinierte Fangpunkte hinzuzufügen, an denen du fangen kannst, wenn die neue Entwurf Spezial Fang Schaltfläche aktiviert ist. Derzeit ist diese Eigenschaft allerdings nur für Python verfügbar. Im obigen Fall habe ich einen neuen Fangpunkt am Ausgang der WC Anlage hinzugefügt. Die Vektoren innerhalb der FangPunkte erscheinen auf dem Modell als weiße Punkte:
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

Arch pipe example 02.jpg

  • Mit dem neuen "Fang Spezial" Entwurfsfang kannst du nun diese benutzerdefinierten Punkte fangen:

Arch pipe example 03.jpg

  • Jetzt können wir unsere Rohrleitungen mit Hilfe von Entwurfslinien, Entwurfsdrähten oder Skizzen zeichnen. Am besten ist es jedoch, wenn wir nur Entwurfslinien verwenden:

Arch pipe example 04.jpg

  • Dort ist jetzt ein neues Entwurf Neigungs Werkzeug , mit dem die Neigung von Entwurfslinien geändert werden kann, z.B. auf 5% (0,05). So können wir unseren Abfalllinien schnell eine korrekte Neigung geben. Nur die z Koordinaten werden durch dieses Werkzeug geändert, wir brauchen sie also nur wieder aneinander zu fangen, die obere Projektion bleibt unverändert.

Arch pipe example 05.jpg

  • Jetzt müssen wir nur noch alle unsere Linien auswählen und die Arch Rohr Schaltfläche drücken. Arch Rohr funktioniert mit jedem Teil-basierten Objekt, das einen und nur einen offenen Draht enthält.

Arch pipe example 06.jpg

  • Wir können jetzt Verbindungen erstellen, indem wir 2 oder 3 deckungsgleiche Rohre auswählen und die Rohr Verbinder Schaltfläche drücken. Wenn 3 Rohre ausgewählt werden, müssen zwei davon ausgerichtet sein, um ein T Element zu erzeugen:

Arch pipe example 07.jpg

  • Die Änderung des Verbinderradius ändert nicht die Länge der zugrunde liegenden Basislinie, sondern nur das resultierende Rohr (durch Änderung ihrer VersatzAnfang oder VersatzEnde Eigenschaft). Du kannst also weiterhin dein Linienlayout nur mit geraden Linien zeichnen, ohne sich um Kurven und Radius kümmern zu müssen.

Es ist auch möglich, Arch Rohre ohne Grundlinie zu erstellen. In diesem Fall verwende die Eigenschaft "Länge", um die Länge zu definieren.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

Das Rohr Werkzeug kann in Makros und von der Python Konsole aus mit der folgenden Funktion verwendet werden:

Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
  • Creates a Pipe object from the given baseobj and diameter.
    • baseobj is a Draft Line or Draft Wire.
    • If baseobj is omitted, a straight pipe can be created with just the diameter and the length in the Z direction.
  • If a placement is given, it is used.
import Draft, Arch

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2500, 200, 0)
p3 = FreeCAD.Vector(3100, 1000, 0)
p4 = FreeCAD.Vector(3500, 500, 0)
Line = Draft.makeWire([p1, p2, p3, p4])

Pipe = Arch.makePipe(Line, 200)
FreeCAD.ActiveDocument.recompute()

Pipe2 = Arch.makePipe(diameter=120, length=3000)
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Arch CompPipe.png BildeRohr Vorherige:
Nächste: Rohr Verbinder Arch PipeConnector.svg Arrow-right.svg